Subject: cat.c needs fixing since 1998

From: "James Simmons" <[email-masked]>
Date: Sun, 3 Aug 2014 12:26:54 -0400

Way back in 1998, Earnie Boyd asked about the binary option for concatenating files in Cygwin.
Now, almost 16 years later, I find that I need the binary option for cat, and I also find that cat.c still does NOT have the option! Here is a copy of that long-ago request and the response from Don Baarda.
The work-around that Don suggested is not an option, since I need this in a bash script. (Cygwin automatically runs Bash as it’s shell.)

When will the cat.c code be updated to function as it did in original Unix? ( cat [file1.. file2.. file n] >>output
At the very least, a binary option should be added to the code.

Regards,
James A. Simmons, President & CEO
The Personal Computer User Group, International
[email-masked]
http://www.james-simmons.info
http://www.pcug.us

Re: best way to append binary files together?
  a.. To: "BAARDA, Don" <dbaarda at baea dot com dot au> 
  b.. Subject: Re: best way to append binary files together? 
  c.. From: Earnie Boyd <earnie_boyd at yahoo dot com> 
  d.. Date: Wed, 2 Dec 1998 12:07:21 -0800 (PST) 
  e.. Cc: cygwin users <gnu-win32 at cygnus dot com> 
  f.. Reply-To: earnie_boyd at yahoo dot com

--------------------------------------------------------------------------------

---"BAARDA, Don" <[email-masked]> wrote:
>
> 
> I know I can turn off text mode with either the CYGWIN environment
variable
> or by using mount options, but I'd be interested in what the best
way of
> doing this is.

IMHO fix the cat.c source.  The workaround I would use would be to SET
CYGWIN=binmode before starting bash.

==
-                        \\||//
-------------------o0O0--Earnie--0O0o-------------------
--                [email-masked]               --
-- http://www.freeyellow.com/members5/gw32/index.html --
----------------------ooo0O--O0ooo----------------------

PS: Newbie's, you should visit my page.
_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com